Project

General

Profile

Backport #5387

Deprecate should be Gem::Deprecate

Added by sandal (Gregory Brown) almost 8 years ago. Updated almost 8 years ago.

Status:
Closed
Priority:
Normal
[ruby-core:39813]

Description

On Ruby 1.9.3.rc1, Deprecate is defined at the top level. Unless this is meant to be used outside of RubyGems, it should be moved into the RubyGems namespace.

History

Updated by naruse (Yui NARUSE) almost 8 years ago

  • Status changed from Open to Assigned
  • Assignee set to drbrain (Eric Hodel)

Updated by drbrain (Eric Hodel) almost 8 years ago

I think this should block 1.9.3, RubyGems should not add a new top-level module.

I can fix this on Monday.

Updated by drbrain (Eric Hodel) almost 8 years ago

  • Category set to lib
  • Status changed from Assigned to Closed

Fixed by r33386

#4

Updated by naruse (Yui NARUSE) almost 8 years ago

  • Tracker changed from Bug to Backport
  • Project changed from Ruby master to Backport193
  • Category deleted (lib)
  • Status changed from Closed to Assigned
  • Assignee changed from drbrain (Eric Hodel) to yugui (Yuki Sonoda)
  • Target version deleted (1.9.3)

Updated by naruse (Yui NARUSE) almost 8 years ago

  • Status changed from Assigned to Closed

Backported by r33435

Also available in: Atom PDF